selected = false
muted = false
midiChan = 0

gfx.init("Xsample",1,1)

gfx.x = gfx.mouse_x
gfx.y = gfx.mouse_y

input = gfx.showmenu("1 Vibrato MW|2 Senza Vibrato MW|3 Staccato Velocity 1 MW Shape|4 Staccato Velocity 2 MW Shape|5 Flutter Tongue MW|6 Growling MW|7 Slap Tongue MW Shape|8 Multiphonic + Undefined Tones Velocity|9 Bend (beginning) Velocity|10 Bend (mid) Velocity|11 Key Noises Velocity|12 Vibrato Velocity|13 Senza Vibrato Velocity|14 Flutter Tongue Velocity|15 Vibrato Velocity + MW inverted|16 Senza Vibrato Velocity + MW inverted|17 Airy Vibrato Piano Velocity|18 Growling Velocity|19 Triple Tongue 16T|20 Slides Down Velocity|21 Voice Breathing Velocity|22 Staccato Velocity|23 Slap Tongue Velocity|24 Multiphonic + Undefined Tones MW|25 Voice Breathing MW|26 Air Noises MW|27 Slides Down MW|28 Natural Vibrato MW|29 With Accent Velocity|30 Crescendo|31 Portato Velocity|32 Secco Velocity|33 Vibrato to Senza Vibrato Velocity|34 Senza Vibrato to Vibrato Velocity|35 Vibrato - Senza Vibrato Velocity X MW|36 Pseudo Bariton Sax Velocity + MW inverted|37 Pseudo Bariton Staccato Velocity|38 Pseudo Soprano Velocity + MW inverted|39 Pseudo Soprano Staccato Velocity||")
if input >= 0 then 

function main() 
  take = reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
  if take == nil then return end
  item = reaper.GetMediaItemTake_Item(take)
  pos = reaper.GetCursorPosition() 
  ppq = reaper.MIDI_GetPPQPosFromProjTime(take, pos)
  
  MSB = 0
  LSB = 0
  PC  = 0
  
  if input ~= 0 then
  
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    0, -- controller #0: Bank Select MSB
    input-1 -- MSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    32, -- controller #32: Bank Select LSB
    0 -- LSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xC0,-- Program Change
    midiChan,
    PC, -- program change value
    0
  )
  end
  reaper.UpdateItemInProject(item)   
end
end

script_title = "Xsample Acoustic Instruments"
reaper.Undo_BeginBlock()
main()
reaper.Undo_EndBlock(script_title, 0)
